% Lösung der Übungsaufgabe 3.1

% Vorgaben (Aufgabenstellung)
Z = 300+j*400; % Ohm
f = 1000;      % Hz
disp("Vorgaben");
disp(["Z = (",num2str(Z),") Ohm"]);
disp(["f = ",num2str(f)," Hz"]);
disp(" ");

% Scheinwiderstand
disp("Scheinwiderstand");
disp(["|Z| = ",num2str(abs(Z))," Ohm"]);
disp(" ");

% Admittanz und Scheinleitwert
disp("Admittanz und Scheinleitwert");
Y = 1/Z;
disp([" Y  = (",num2str(Y*1e3),") mS"]);
disp(["|Y| = ",num2str(abs(Y)*1e3)," mS"]);
disp(" ");

% Reihenschaltung
disp("Reihenschaltung von Rs und Ls");
Rs = real(Z);
Ls = imag(Z)/(2*pi*f);
disp(["Rs = ",num2str(Rs)," Ohm"]);
disp(["Ls = ",num2str(Ls*1e3)," mH"]);
disp(" ");

% Parallelschaltung
disp("Parallelschaltung von Rp und Lp");
Rp = 1/real(Y);
Lp = -1/(2*pi*f*imag(Y));
disp(["Rp = ",num2str(Rp)," Ohm"]);
disp(["Lp = ",num2str(Lp*1e3)," mH"]);
disp(" ");
