% Lösung der Übungsaufgabe 3.2

% Vorgaben (Aufgabenstellung)
Z = 300+j*400; % Ohm
f = 1000;      % Hz
u_s = 5;       % V
phiu = pi/4;   % Radiant
disp("Vorgaben");
disp(["   Z = (",num2str(Z),") Ohm"]);
disp(["   f = ",num2str(f)," Hz"]);
disp([" u_s = ",num2str(u_s)," V"]);
disp(["phiu = ",num2str(phiu*180/pi),"°"]);
disp(" ");

% Komplexe Amplitude der Spannung
U = u_s*exp(j*phiu);
disp("Komplexe Amplitude der Spannung");
disp(["U = (",num2str(U),") V"]);
disp(" ");

% Komplexe Amplitude des Stromes
I=U/Z;
i_s = abs(I);
phii = angle(I);
disp("Komplexe Amplitude des Stromes");
disp(["  I  = (",num2str(I*1e3),") mA"]);
disp([" |I| = ",num2str(abs(I)*1e3)," mA"]);
disp(["phii = ",num2str(phii*180/pi),"°"]);
disp(" ");

% Impedanz in Polarform
disp("Impedanz in Polarform");
disp(["   |Z| = ",num2str(abs(Z))," Ohm"]);
disp(["arg(Z) = ",num2str(angle(Z)*180/pi),"°"]);
